version: '3.7'
services:
  api:
    image: baroprime/spring-mongo
    build:
      context: .
    ports:
      - 8080:8080
    depends_on:
      - mongo

  mongo:
    image: mongo
    ports:
      - 8081:27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: example